Volumes
Persistent storage volumes.
Base https://api.nodion.com. Short paths need
X-Nodion-Project unless the path already has
/v2/projects/{id}.
Request bodies are in the interactive docs.
GET
/v2/volume_size_limits List allowed volume size limits
GET
/v2/volumes List volumes in the current project
POST
/v2/volumes Create a volume in the current project
GET
/v2/projects/{id}/volumes List volumes
POST
/v2/projects/{id}/volumes Create a volume
GET
/v2/volumes/{id} Get a volume
PATCH
/v2/volumes/{id} Grow a volume (size_gb must increase)
DELETE
/v2/volumes/{id} Delete a volume
GET
/v2/volumes/{id}/backups List local volume backups and backup settings
PATCH
/v2/volumes/{id}/backups/settings Turn local volume backups on or off and set their retention
POST
/v2/volumes/{id}/backups/{backupId}/restore Restore a local volume backup into a new local volume